Power Law
power-law
Chart: Long Term Power Law
Parameters
| Name | Type | Description | Required |
|---|---|---|---|
start_date | string | Start date in YYYY-MM-DD format | No |
end_date | string | End date in YYYY-MM-DD format | No |
latest | bool | If true, returns the current value | No |
Output
| Index | Name | Type | Description |
|---|---|---|---|
| 0 | date | string | Date in YYYY-MM-DD format |
| 1 | support_line | string | Value of the power law support line |
| 2 | linear_regression | string | Value of the linear regression fit |
| 3 | resistance_line | string | Value of the power law resistance line |
Example Request
https://charts.bitbo.io/api/v1/power-law/?start_date=2025-05-04&end_date=2025-05-06
Example Request with Latest
https://charts.bitbo.io/api/v1/power-law/?latest=true
Code Samples
- cURL
- Python
- JavaScript
- Go
curl "https://charts.bitbo.io/api/v1/power-law/?start_date=2025-05-04&end_date=2025-05-06&api_key=YOUR_API_KEY"
import requests
url = "https://charts.bitbo.io/api/v1/power-law/"
params = {
"start_date": "2025-05-04",
"end_date": "2025-05-06",
"api_key": "YOUR_API_KEY"
}
response = requests.get(url, params=params)
data = response.json()
print(data)
const url = "https://charts.bitbo.io/api/v1/power-law/";
const params = new URLSearchParams({
start_date: "2025-05-04",
end_date: "2025-05-06",
api_key: "YOUR_API_KEY"
});
const response = await fetch(`${url}?${params}`);
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://charts.bitbo.io/api/v1/power-law/?start_date=2025-05-04&end_date=2025-05-06&api_key=YOUR_API_KEY", nil)
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
Example Output
{
"data": [
[
"2025-05-04",
"40195.68",
"113286.81",
"420099.24"
],
[
"2025-05-05",
"40235.06",
"113397.81",
"420453.38"
],
[
"2025-05-06",
"40274.48",
"113508.90",
"420807.76"
]
]
}